Subject: bug#28312: 25.2; Arabic script changes when scrolling

From: Alexis <[email-masked]>
Date: Fri, 01 Sep 2017 18:01:22 +1000

YAMAMOTO Mitsuharu <[email-masked]> writes:

> I could reproduce a similar effect also on Darwin, but a 
> different
> font backend driver (xft with libotf 0.9.3, m17n lib/db 1.7.0).
>
> 1. emacs -Q &
> 2. M-x describe-language-environment RET Arabic RET
> 3. Press and release the mouse button around the Arabic sample 
> text.
>    (say, "Arabic" to the left)
>
> The appearance of the sample text changes if I press the button, 
> and
> it changes back again when I release it.

Confirmed on locally compiled Emacs 25.2.1 on Debian Stretch 
x86_64;
xft with libotf 0.9.13-3+b1 and m17n 1.7.0-3+b1.

> The font used for displaying Arabic characters is "Arial Unicode 
> MS".

Here it's "DejaVu Sans Mono".

Alexis.